# push

This configuration section contains settings to configure the push behavior.

Read more about the push behavior in the [Pushing scenario changes to Test Cases](/specsync/features/push-features/pushing-scenario-changes-to-test-cases.md) concept description.

The following example shows the available options within this sub-section.

```javascript
{
  ...
  "synchronization": {
    ...
    "push": {
      "conflictResolution": "interactive"
    },
    ...
  },
  ...
}
```

## Settings

| Setting              | Description                                                                                                                                                                                                                                                                                              | Default     |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| `conflictResolution` | Sets the conflict resolution method for push. Possible values: `overwrite`, `overwriteWithWarning`, `interactive`, `skipWithWarning`, `skip`, `error`. See [Synchronization conflict resolution](/specsync/features/common-synchronization-features/synchronization-conflict-resolution.md) for details. | `overwrite` |

{% content-ref url="/pages/-LVwFCLmwNCOYz1dKMTr" %}
[synchronization](/specsync/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-push.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
